Subject: Re: [bisected] no traffic on ssl vpn with 3.19rc1 - 3.19rc3

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Thu, 08 Jan 2015 11:22:19 -0200

On 07-01-2015 17:10, Billy Shuman wrote:
> Hi,
>
> Since 3.19rc1 I get 100% packet loss through SSL vpn.  I bisected with
> the following result:
>
> 0b46d0ee9c240c7430a47e9b0365674d4a04522 is the first bad commit
> commit e0b46d0ee9c240c7430a47e9b0365674d4a04522
> Author: Herbert Xu <[email-masked]>
> Date:   Fri Nov 7 21:22:23 2014 +0800
>
>      tun: Use iovec iterators
>
>      This patch removes the use of skb_copy_datagram_const_iovec in
>      favour of the iovec iterator-based skb_copy_datagram_iter.
>
>
> https://bugzilla.kernel.org/show_bug.cgi?id=90901

Interesting. Similar effect that I had but your version has the fix already.
http://article.gmane.org/gmane.linux.network/340700

   Marcelo